Package org.springframework.validation

# Class BeanPropertyBindingResult

java.lang.Object
org.springframework.validation.AbstractErrors
org.springframework.validation.AbstractBindingResult
org.springframework.validation.AbstractPropertyBindingResult
org.springframework.validation.BeanPropertyBindingResult

All Implemented Interfaces:
  `Serializable`, `BindingResult`, `Errors`

public class BeanPropertyBindingResult extends AbstractPropertyBindingResult implements Serializable
Default implementation of the `Errors` and `BindingResult` interfaces, for the registration and evaluation of binding errors on JavaBean objects.

Performs standard JavaBean property access, also supporting nested properties. Normally, application code will work with the `Errors` interface or the `BindingResult` interface. A `DataBinder` returns its `BindingResult` via `DataBinder.getBindingResult()`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `DataBinder.getBindingResult()`
  - `DataBinder.initBeanPropertyAccess()`
  - `DirectFieldBindingResult`
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.validation.BindingResult

`MODEL_KEY_PREFIX`

### Fields inherited from interface org.springframework.validation.Errors

`NESTED_PATH_SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`BeanPropertyBindingResult(Object target, String objectName)`
Create a new `BeanPropertyBindingResult` for the given target.
`BeanPropertyBindingResult(Object target, String objectName, boolean autoGrowNestedPaths, int autoGrowCollectionLimit)`
Create a new `BeanPropertyBindingResult` for the given target.

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.beans.BeanWrapper`
`createBeanWrapper()`
Create a new `BeanWrapper` for the underlying target object.
`final org.springframework.beans.ConfigurablePropertyAccessor`
`getPropertyAccessor()`
Returns the `BeanWrapper` that this instance uses.
`final Object`
`getTarget()`
Return the wrapped target object.

### Methods inherited from class org.springframework.validation.AbstractPropertyBindingResult

`canonicalFieldName, findEditor, formatFieldValue, getActualFieldValue, getCustomEditor, getFieldType, getPropertyEditorRegistry, initConversion`

### Methods inherited from class org.springframework.validation.AbstractBindingResult

`addAllErrors, addError, equals, getAllErrors, getErrorCount, getFieldError, getFieldError, getFieldErrors, getFieldErrors, getFieldValue, getGlobalError, getGlobalErrors, getMessageCodesResolver, getModel, getObjectName, getRawFieldValue, getSuppressedFields, hasErrors, hashCode, recordFieldValue, recordSuppressedField, reject, rejectValue, resolveMessageCodes, resolveMessageCodes, setMessageCodesResolver`

### Methods inherited from class org.springframework.validation.AbstractErrors

`doSetNestedPath, fixedField, getNestedPath, isMatchingFieldError, popNestedPath, pushNestedPath, setNestedPath, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.validation.Errors

`failOnError, getFieldErrorCount, getFieldErrorCount, getGlobalErrorCount, getNestedPath, hasFieldErrors, hasFieldErrors, hasGlobalErrors, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath, toString`

## Constructor Details

### BeanPropertyBindingResult

public BeanPropertyBindingResult(@Nullable Object target, String objectName)
Create a new `BeanPropertyBindingResult` for the given target.

Parameters:
  `target` - the target bean to bind onto
  `objectName` - the name of the target object

### BeanPropertyBindingResult

public BeanPropertyBindingResult(@Nullable Object target, String objectName, boolean autoGrowNestedPaths, int autoGrowCollectionLimit)
Create a new `BeanPropertyBindingResult` for the given target.

Parameters:
  `target` - the target bean to bind onto
  `objectName` - the name of the target object
  `autoGrowNestedPaths` - whether to "auto-grow" a nested path that contains a null value
  `autoGrowCollectionLimit` - the limit for array and collection auto-growing

## Method Details

### getTarget

@Nullable public final Object getTarget()
Description copied from class: `AbstractBindingResult`
Return the wrapped target object.

Specified by:
  `getTarget` in interface `BindingResult`
Specified by:
  `getTarget` in class `AbstractBindingResult`

### getPropertyAccessor

public final org.springframework.beans.ConfigurablePropertyAccessor getPropertyAccessor()
Returns the `BeanWrapper` that this instance uses. Creates a new one if none existed before.

Specified by:
  `getPropertyAccessor` in class `AbstractPropertyBindingResult`
See Also:
  - `createBeanWrapper()`

### createBeanWrapper

protected org.springframework.beans.BeanWrapper createBeanWrapper()
Create a new `BeanWrapper` for the underlying target object.

See Also:
  - `getTarget()`